Up

# NSDateInterval class documentation

### Authors

Generated by Debian

# Software documentation for the NSDateInterval class

## NSDateInterval : NSObject

> Declared in:
>   Foundation/NSDateInterval.h

> Conforms to:
>   NSCoding
>   NSCopying

Availability: Not in OpenStep/MacOS-X
Description forthcoming.

Instance Variables
Method summary

- -compare:
- -containsDate:
- -duration
- -endDate
- -init
- -initWithStartDate:duration:
- -initWithStartDate:endDate:
- -intersectionWithDateInterval:
- -intersectsDateInterval:
- -isEqualToDateInterval:
- -setDuration:
- -setEndDate:
- -setStartDate:
- -startDate

### compare:

- (NSComparisonResult) compare: (NSDateInterval*)dateInterval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### containsDate:

- (BOOL) containsDate: (NSDate*)date;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### duration

- (NSTimeInterval) duration;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### endDate

- (NSDate*) endDate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### init

- (instancetype) init;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### initWithStartDate: duration:

- (instancetype) initWithStartDate: (NSDate*)startDate duration: (NSTimeInterval)duration;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### initWithStartDate: endDate:

- (instancetype) initWithStartDate: (NSDate*)startDate endDate: (NSDate*)endDate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### intersectionWithDateInterval:

- (NSDateInterval*) intersectionWithDateInterval: (NSDateInterval*)dateInterval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### intersectsDateInterval:

- (BOOL) intersectsDateInterval: (NSDateInterval*)dateInterval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### isEqualToDateInterval:

- (BOOL) isEqualToDateInterval: (NSDateInterval*)dateInterval;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setDuration:

- (void) setDuration: (NSTimeInterval)duration;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setEndDate:

- (void) setEndDate: (NSDate*)endDate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### setStartDate:

- (void) setStartDate: (NSDate*)startDate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

### startDate

- (NSDate*) startDate;
Availability: Not in OpenStep/MacOS-X
Description forthcoming.

## Instance Variables for NSDateInterval Class

### _duration

@protected NSTimeInterval _duration;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

### _startDate

@protected NSDate* _startDate;
Availability: Not in OpenStep/MacOS-X
Warning the underscore at the start of the name of this instance variable indicates that, even though it is not technically private, it is intended for internal use within the package, and you should not use the variable in other code.

Up